umbrello: Uml::CmdRemoveWidget Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdRemoveWidget Class Reference

`#include <cmdremovewidget.h>`

Inheritance diagram for Uml::CmdRemoveWidget:

## Public Member Functions
| CmdRemoveWidget (UMLWidget *widget)
| CmdRemoveWidget (AssociationWidget *widget)
| ~CmdRemoveWidget ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
QDomElement | m_element
QList< QDomElement > | m_children

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdRemoveWidget() [1/2]

Uml::CmdRemoveWidget::CmdRemoveWidget | ( | UMLWidget * | widget | ) |
| explicit

Constructor.

## ◆ CmdRemoveWidget() [2/2]

Uml::CmdRemoveWidget::CmdRemoveWidget | ( | AssociationWidget * | widget | ) |

Constructor.

## ◆ ~CmdRemoveWidget()

Uml::CmdRemoveWidget::~CmdRemoveWidget | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ redo()

void Uml::CmdRemoveWidget::redo | ( |  | ) |

Remove the widget

## ◆ undo()

void Uml::CmdRemoveWidget::undo | ( |  | ) |

Add the widget back

## Member Data Documentation

## ◆ m_children

QList<QDomElement> Uml::CmdRemoveWidget::m_children
| private

## ◆ m_element

QDomElement Uml::CmdRemoveWidget::m_element
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdremovewidget.h
- umbrello/cmds/widget/cmdremovewidget.cpp